package com.winsun.migration.datasource;

import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;

public class DynamicDataSource extends AbstractRoutingDataSource {

    protected Object determineCurrentLookupKey() {
        String datasource = DataSourceContextHolder.getDbType();
        return datasource;
    }
}